Package weka.gui.beans

# Class InstanceStreamToBatchMaker

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.InstanceStreamToBatchMaker

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`, `BeanCommon`, `DataSource`, `EventConstraints`, `InstanceListener`, `Visible`

public class InstanceStreamToBatchMaker extends JPanel implements BeanCommon, Visible, InstanceListener, EventConstraints, DataSource
Bean that converts an instance stream into a (batch) data set. Useful in conjunction with the Reservoir sampling filter.

Version:
  $Revision: 7059 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.BaselineResizeBehavior`

## Field Summary

### Fields inherited from class javax.swing.JComponent

`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`InstanceStreamToBatchMaker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptInstance(InstanceEvent e)`
Accept an instance to add to the batch.
`void`
`addDataSourceListener(DataSourceListener tsl)`
Add a data source listener
`void`
`addInstanceListener(InstanceListener il)`
Add an instance listener
`boolean`
`connectionAllowed(EventSetDescriptor esd)`
Returns true if, at this time, the object will accept a connection according to the supplied EventSetDescriptor
`boolean`
`connectionAllowed(String eventName)`
Returns true if, at this time, the object will accept a connection with respect to the named event
`void`
`connectionNotification(String eventName, Object source)`
Notify this object that it has been registered as a listener with a source with respect to the named event
`void`
`disconnectionNotification(String eventName, Object source)`
Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name
`boolean`
`eventGeneratable(String eventName)`
Returns true if, at the current time, the named event could be generated.
`String`
`getCustomName()`
Get the custom (descriptive) name for this bean (if one has been set)
`BeanVisual`
`getVisual()`
Gets the visual appearance of this wrapper bean
`boolean`
`isBusy()`
Returns true if.
`void`
`removeDataSourceListener(DataSourceListener tsl)`
Remove a data source listener
`void`
`removeInstanceListener(InstanceListener il)`
Remove an instance listener
`void`
`setCustomName(String name)`
Set a custom (descriptive) name for this bean
`void`
`setLog(Logger logger)`
Set a logger
`void`
`setVisual(BeanVisual newVisual)`
Sets the visual appearance of this wrapper bean
`void`
`stop()`
Stop any action (if possible).
`void`
`useDefaultVisual()`
Use the default visual appearance for this bean

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InstanceStreamToBatchMaker

public InstanceStreamToBatchMaker()

## Method Details

### acceptInstance

public void acceptInstance(InstanceEvent e)
Accept an instance to add to the batch.

Specified by:
  `acceptInstance` in interface `InstanceListener`
Parameters:
  `e` - an `InstanceEvent` value

### connectionAllowed

public boolean connectionAllowed(EventSetDescriptor esd)
Returns true if, at this time, the object will accept a connection according to the supplied EventSetDescriptor

Specified by:
  `connectionAllowed` in interface `BeanCommon`
Parameters:
  `esd` - the EventSetDescriptor
Returns:
  true if the object will accept a connection

### connectionAllowed

public boolean connectionAllowed(String eventName)
Returns true if, at this time, the object will accept a connection with respect to the named event

Specified by:
  `connectionAllowed` in interface `BeanCommon`
Parameters:
  `eventName` - the event
Returns:
  true if the object will accept a connection

### connectionNotification

public void connectionNotification(String eventName, Object source)
Notify this object that it has been registered as a listener with a source with respect to the named event

Specified by:
  `connectionNotification` in interface `BeanCommon`
Parameters:
  `eventName` - the event
  `source` - the source with which this object has been registered as a listener

### disconnectionNotification

public void disconnectionNotification(String eventName, Object source)
Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name

Specified by:
  `disconnectionNotification` in interface `BeanCommon`
Parameters:
  `eventName` - the event
  `source` - the source with which this object has been registered as a listener

### eventGeneratable

public boolean eventGeneratable(String eventName)
Returns true if, at the current time, the named event could be generated.

Specified by:
  `eventGeneratable` in interface `EventConstraints`
Parameters:
  `eventName` - the name of the event in question
Returns:
  true if the named event could be generated

### getCustomName

public String getCustomName()
Get the custom (descriptive) name for this bean (if one has been set)

Specified by:
  `getCustomName` in interface `BeanCommon`
Returns:
  the custom name (or the default name)

### setCustomName

public void setCustomName(String name)
Set a custom (descriptive) name for this bean

Specified by:
  `setCustomName` in interface `BeanCommon`
Parameters:
  `name` - the name to use

### setLog

public void setLog(Logger logger)
Set a logger

Specified by:
  `setLog` in interface `BeanCommon`
Parameters:
  `logger` - a `Logger` value

### isBusy

public boolean isBusy()
Returns true if. at this time, the bean is busy with some (i.e. perhaps a worker thread is performing some calculation).

Specified by:
  `isBusy` in interface `BeanCommon`
Returns:
  true if the bean is busy.

### stop

public void stop()
Stop any action (if possible).

Specified by:
  `stop` in interface `BeanCommon`

### getVisual

public BeanVisual getVisual()
Gets the visual appearance of this wrapper bean

Specified by:
  `getVisual` in interface `Visible`
Returns:
  a `BeanVisual` value

### setVisual

public void setVisual(BeanVisual newVisual)
Sets the visual appearance of this wrapper bean

Specified by:
  `setVisual` in interface `Visible`
Parameters:
  `newVisual` - a `BeanVisual` value

### useDefaultVisual

public void useDefaultVisual()
Use the default visual appearance for this bean

Specified by:
  `useDefaultVisual` in interface `Visible`

### addDataSourceListener

public void addDataSourceListener(DataSourceListener tsl)
Description copied from interface: `DataSource`
Add a data source listener

Specified by:
  `addDataSourceListener` in interface `DataSource`
Parameters:
  `tsl` - a `DataSourceListener` value

### removeDataSourceListener

public void removeDataSourceListener(DataSourceListener tsl)
Description copied from interface: `DataSource`
Remove a data source listener

Specified by:
  `removeDataSourceListener` in interface `DataSource`
Parameters:
  `tsl` - a `DataSourceListener` value

### addInstanceListener

public void addInstanceListener(InstanceListener il)
Description copied from interface: `DataSource`
Add an instance listener

Specified by:
  `addInstanceListener` in interface `DataSource`
Parameters:
  `il` - an `InstanceListener` value

### removeInstanceListener

public void removeInstanceListener(InstanceListener il)
Description copied from interface: `DataSource`
Remove an instance listener

Specified by:
  `removeInstanceListener` in interface `DataSource`
Parameters:
  `il` - an `InstanceListener` value